ASSAULTCUBE(6)

NAME
assaultcube - AssaultCube client

SYNOPSIS
assaultcube [ -wX ] [ -hY ] [ -t ] [ -zN ] [ -bN ] [ -sN ] [ -aN ] [ -vN ] [ --loadmap=FILE ] [ --loaddemo=FILE ] [ -e"C" ] [ --init ] [ --mod=PATH ] [ --home=PATH ] [ -mURL ] [ -T ] [ -d ] [ --version ] [ --protocol ] [ --help ]

DESCRIPTION
AssaultCube, formerly ActionCube, is a first-person-shooter based on the game Cube. Set in a realistic looking environment, as far as that's possible with this engine, while gameplay stays fast and arcade. This game is all about team oriented multiplayer fun.

assaultcube is a script which executes /usr/lib/games/ac_client from the /usr/share/games/assaultcube/ directory using the "--home=${HOME}/.assaultcube_v1.104 --init" options. It will accept any additional options

OPTIONS

-wX Sets the desired screen width to X. The default is -w1024

-hY Sets the desired screen height to Y. The default is -h768

-t  Forces AssaultCube to run in "window" mode (turns fullscreen off). You can explicitly force fullscreen mode by using -t1

-zN Sets the precision of the z-buffer to N bits. This should be at least 24 or you may experience depth problems.

-bN Sets the colour depth to N bits per pixel (example: -b16 would set the colour depth to 16-bits).

-sN Sets the stencil buffer precision to N bits. This needs to be either 8 to enable shadowing effects, or 0 to turn it off (the default).

-aN Sets full-scene anti-aliasing to N samples (example: -a4 is 4x).

-vN Enables v-sync if N is greater 0. If N equals -1 then system defaults will be used.

--loadmap=FILE
    Forces AssaultCube to load the map named FILE when launched.

--loaddemo=FILE
    Forces AssaultCube to playback the demo named FILE when launched.

-e"C"
    Executes the command C on launch (i.e. -e"echo hello"). Refer to the CubeScript command reference for a list of all possible commands.

--init
    Executes the init script before starting the graphics and sound subsystems (recommended). By default, the file ./config/init.cfg is used. This can be overridden by setting --init=yourfile.cfg

--mod=PATH
    Adds the specified path to the list of directories to be searched when loading resources. Use this to "MOD" the game in a clean way without having to place/replace files in the main directory. See the custom mods page for more information.

--home=PATH
    Specifies the AssaultCube home folder. AssaultCube will write custom settings and files to this directory (recommended).

-mURL
    Sets the client to update its serverlist from the URL of a different masterserver. When using this argument, you need to exclude the protocol at the beginning (i.e. add everything BUT http:// on to the argument). The default is -massault.cubers.net

-T  Tags a timestamp to each line of text output to the console.

-d  This starts the executable file for the AssaultCube CLIENT, as an AssaultCube SERVER instead. You don't need this argument if you're using the server executable. There is no need to use this argument unless you know what you're doing.

--version
    Prints out the version number (example: 1.104) instead of running AssaultCube.

--protocol
    Prints out the protocol number (example: 1140) instead of running AssaultCube.

--help
    Display this manpage

SEE ALSO
assaultcube-server(6)

AUTHOR
AssaultCube was written by the AssaultCube Team.

This manual page was written by Martin Erik Werner <martinerikwerner@gmail.com>
Information taken from
<http://assault.cubers.net/docs/commandline.html>